List RAM options for a server model

GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}/ram

All available RAM options for a server model in one location can be listed by a GET request to /v1/locations/{location_id}/order_options/server_models/{server_model_id}/ram. The location and server model IDs are mandatory path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

server_model_id*string

An identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section.

Query Parameters

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?"ram"

This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.

Default"ram"

Value in

  • "ram"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1602/order_options/server_models/2792/ram"
[  {    "ram": 32,    "type": "DDR3"  },  {    "ram": 48,    "type": "DDR3"  },  {    "ram": 64,    "type": "DDR3"  }]
{  "message": "Not found",  "code": "NOT_FOUND"}